Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.api
[Groovy] Class PropertiesFileContentMerger

    java.lang.Object
      org.gradle.plugins.ide.api.FileContentMerger
          org.gradle.plugins.ide.api.PropertiesFileContentMerger

    class PropertiesFileContentMerger
    extends FileContentMerger

Models the generation/parsing/merging capabilities. Adds properties-related hooks.

For examples see docs for EclipseJdt and others.

Property Summary
`PropertiesTransformer` | `transformer`

Constructor Summary
`PropertiesFileContentMerger(PropertiesTransformer transformer)`

Method Summary
`void` | `withProperties(Closure closure)` Adds a closure to be called when the file has been created.

Methods inherited from class FileContentMerger
beforeMerged, whenMerged

Property Detail

### transformer

    PropertiesTransformer transformer

Constructor Detail

### PropertiesFileContentMerger

    PropertiesFileContentMerger(PropertiesTransformer transformer)

Method Detail

### withProperties

    void withProperties(Closure closure)

  Adds a closure to be called when the file has been created. The Properties are passed to the closure as a parameter. The closure can modify the Properties before they are written to the output file.

  For examples see docs for EclipseJdt and others.

  Parameters:
    `closure` - The closure to execute when the Properties have been created.

Gradle API 1.10